# List All Returns a list of estimates (Quotes, Proformas, Fees Notes). Endpoint: GET /estimates.json Version: 2.0.0 Security: apiKeyAuth ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" - `Query Parameters` (object) Click to expand options. ## Response 200 fields (application/json): - `estimates` (array) - `estimates.id` (integer) Example: 541791 - `estimates.status` (string) Example: "final" - `estimates.archived` (boolean) - `estimates.type` (string) Enum: "Quote", "Proforma", "FeesNote" - `estimates.sequence_number` (string) Example: "1/A" - `estimates.inverted_sequence_number` (string) Example: "A/1" - `estimates.atcud` (string) Example: "ABCD1234-1" - `estimates.date` (string) Example: "12/06/2017" - `estimates.due_date` (string) Example: "12/06/2017" - `estimates.reference` (string,null) Example: "foo" - `estimates.observations` (string,null) No enforced character limit (text column). Example: "foo" - `estimates.retention` (string,null) - `estimates.permalink` (string) Example: "https://web.invoicexpress.com/documents/541791f16ae45a73b703c684a221ef198c10020f3d56a1" - `estimates.saft_hash` (string) Server-generated. No enforced character limit (text column). Example: "NfTN" - `estimates.sum` (number) Example: 10 - `estimates.discount` (number) - `estimates.before_taxes` (number) Example: 10 - `estimates.taxes` (number) Example: 2.3 - `estimates.total` (number) Example: 12.3 - `estimates.currency` (string) Example: "Euro" - `estimates.sequence_id` (integer,null) Example: 12345 - `estimates.tax_exemption` (string) Example: "M01" - `estimates.cancel_reason` (string) Only present when the document is canceled. Example: "Wrong client" - `estimates.mb_reference` (object) Only present when the document is final and has an MB reference. - `estimates.mb_reference.entity` (string) Example: "10611" - `estimates.mb_reference.value` (number) Example: 123.45 - `estimates.multicurrency` (object) Only present for documents in a foreign currency. - `estimates.multicurrency.rate` (number) Example: 1.1 - `estimates.client` (object) - `estimates.client.name` (string) Example: "John" - `estimates.client.code` (string,null) Example: "CLI-001" - `estimates.client.email` (string,null) Example: "john@example.com" - `estimates.client.address` (string,null) Example: "Avenida da República, Lisboa" - `estimates.client.postal_code` (string,null) Example: "1050-555" - `estimates.client.city` (string,null) Example: "Lisboa" - `estimates.client.fiscal_id` (string,null) Example: "508025338" - `estimates.client.country` (string) Example: "Portugal" - `estimates.items` (array) - `estimates.items.description` (string,null) Example: "foo" - `estimates.items.unit_price` (string) Example: "10.0" - `estimates.items.unit` (string,null) Example: "foo" - `estimates.items.quantity` (string) Example: "1.0" - `estimates.items.subtotal` (number) Example: 10 - `estimates.items.tax_amount` (number) Example: 2.3 - `estimates.items.discount_amount` (number) - `estimates.items.tax` (object) - `estimates.items.tax.name` (string,null) Null when the line has no tax assigned. Example: "IVA23" - `pagination` (object) - `pagination.total_entries` (integer) Example: 50 - `pagination.per_page` (integer) Example: 20 - `pagination.current_page` (integer) Example: 1 - `pagination.total_pages` (integer) Example: 3 ## Response 401 fields (application/json): - `errors` (array) - `errors.error` (string) Example: "Authentication Error"